SUPC_INTFLAG_Type Union Reference

## Data Fields

struct {
__I uint32_t BOD33RDY:1
__I uint32_t BOD33DET:1
__I uint32_t B33SRDY:1
__I uint32_t:5
__I uint32_t VREGRDY:1
__I uint32_t VCORERDY:1
} | bit
uint32_t | reg

## Detailed Description

Definition at line 108 of file supc.h.

## Field Documentation

## B33SRDY

__I uint32_t SUPC_INTFLAG_Type::B33SRDY

bit: 2 BOD33 Synchronization Ready

Definition at line 112 of file supc.h.

## bit

struct { ... } SUPC_INTFLAG_Type::bit

Structure used for bit access

## BOD33DET

__I uint32_t SUPC_INTFLAG_Type::BOD33DET

bit: 1 BOD33 Detection

Definition at line 111 of file supc.h.

## BOD33RDY

__I uint32_t SUPC_INTFLAG_Type::BOD33RDY

bit: 0 BOD33 Ready

Definition at line 110 of file supc.h.

## reg

uint32_t SUPC_INTFLAG_Type::reg

Type used for register access

Definition at line 119 of file supc.h.

## uint32_t

__I SUPC_INTFLAG_Type::uint32_t

bit: 3.. 7 Reserved

bit: 9 Reserved

bit: 11..31 Reserved

Definition at line 113 of file supc.h.

## VCORERDY

__I uint32_t SUPC_INTFLAG_Type::VCORERDY

bit: 10 VDDCORE Ready

Definition at line 116 of file supc.h.

## VREGRDY

__I uint32_t SUPC_INTFLAG_Type::VREGRDY

bit: 8 Voltage Regulator Ready

Definition at line 114 of file supc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/supc.h